	//----------THealthScore开始----------
    
	using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
//using System.Data.Entity.ModelConfiguration;
using Ewide.WorkOrderSys.Entity.Base;
using System.Runtime.Serialization;
	namespace Ewide.WorkOrderSys.Entity
	{	
        /// <summary>
        /// 数据表实体类：THealthScore 
        /// </summary>
		[Table("THealthScore")]
        public partial class THealthScore: BaseEntity        {    
		                    /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
				[Key]
								[Column("ID")]   
				[DataMember]  
			    public string ID  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("UserID")]   
				[DataMember]  
			    public string UserID  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("Date")]   
				[DataMember]  
			    public DateTime Date  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("Score")]   
				[DataMember]  
			    public decimal Score  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("Desc")]   
				[DataMember]  
			    public string Desc  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("Images")]   
				[DataMember]  
			    public string Images  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("CreateUser")]   
				[DataMember]  
			    public string CreateUser  {get;set;}   
                 
		  }

		  /**
            /// <summary>
            /// 数据表实体类Map：THealthScore 
            /// </summary>
            public class THealthScoreMap : EntityTypeConfiguration<THealthScore>
			{
                public THealthScoreMap()
                {
					this.ToTable("THealthScore");
												this.HasKey(t => t.ID);
													 this.Property(t => t.UserID).HasColumnName("UserID").IsRequired();
													 this.Property(t => t.Date).HasColumnName("Date").IsRequired();
													 this.Property(t => t.Score).HasColumnName("Score").IsRequired();
													 this.Property(t => t.Desc).HasColumnName("Desc");
													 this.Property(t => t.Images).HasColumnName("Images");
													 this.Property(t => t.CreateTime).HasColumnName("CreateTime").IsRequired();
													 this.Property(t => t.CreateUser).HasColumnName("CreateUser").IsRequired();
										}
			}**/

	}

	//----------THealthScore结束----------

	